# OnnxRuntime: OrtOpenVINOProviderOptions Struct Reference

Loading...
Searching...
No Matches
OrtOpenVINOProviderOptions Struct Reference
Global

OpenVINO Provider Options. More...

`#include <onnxruntime_c_api.h>`

## Public Member Functions

| OrtOpenVINOProviderOptions ()

## Public Attributes

const char * | device_type
| Device type string.
unsigned char | enable_vpu_fast_compile
| 0 = disabled, nonzero = enabled
const char * | device_id
size_t | num_of_threads
| 0 = Use default number of threads
const char * | cache_dir
void * | context
unsigned char | enable_opencl_throttling
| 0 = disabled, nonzero = enabled
unsigned char | enable_dynamic_shapes
| 0 = disabled, nonzero = enabled

## Detailed Description

OpenVINO Provider Options.

See also
  OrtApi::SessionOptionsAppendExecutionProvider_OpenVINO

## Constructor & Destructor Documentation

## OrtOpenVINOProviderOptions()

OrtOpenVINOProviderOptions::OrtOpenVINOProviderOptions | ( |  | ) |

inline

## Member Data Documentation

## cache_dir

const char* OrtOpenVINOProviderOptions::cache_dir

## context

void* OrtOpenVINOProviderOptions::context

## device_id

const char* OrtOpenVINOProviderOptions::device_id

## device_type

const char* OrtOpenVINOProviderOptions::device_type

Device type string.

Valid settings are one of: "CPU_FP32", "CPU_FP16", "GPU_FP32", "GPU_FP16", "MYRIAD_FP16", "VAD-M_FP16" or "VAD-F_FP32"

## enable_dynamic_shapes

unsigned char OrtOpenVINOProviderOptions::enable_dynamic_shapes

0 = disabled, nonzero = enabled

## enable_opencl_throttling

unsigned char OrtOpenVINOProviderOptions::enable_opencl_throttling

0 = disabled, nonzero = enabled

## enable_vpu_fast_compile

unsigned char OrtOpenVINOProviderOptions::enable_vpu_fast_compile

0 = disabled, nonzero = enabled

## num_of_threads

size_t OrtOpenVINOProviderOptions::num_of_threads

0 = Use default number of threads